Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.conf
Interface ConfigSaverDelegate

All Known Implementing Classes:
  RuntimeSaveDelegate

    public interface ConfigSaverDelegate

Defines a set of callback methods that provide information to ConfigSaver when Cayenne project is saved.

Method Summary
`Iterator` | `domainNames()`
`Iterator` | `linkedMapNames(String domainName, String nodeName)`
`String` | `mapLocation(String domainName, String mapName)`
`Iterator` | `mapNames(String domainName)`
`String` | `nodeAdapterName(String domainName, String nodeName)`
`String` | `nodeDataSourceName(String domainName, String nodeName)`
`String` | `nodeFactoryName(String domainName, String nodeName)`
`Iterator` | `nodeNames(String domainName)`
`String` | `nodeSchemaUpdateStrategyName(String domainName, String nodeName)`
`String` | `projectVersion()`
`Iterator` | `propertyNames(String domainName)`
`String` | `propertyValue(String domainName, String propertyName)`
`String` | `viewLocation(String dataViewName)`
`Iterator<String>` | `viewNames()`

Method Detail

### projectVersion

    String projectVersion()

  Since:
    1.1

### domainNames

    Iterator domainNames()

### viewNames

    Iterator<String> viewNames()

  Since:
    1.1

### viewLocation

    String viewLocation(String dataViewName)

  Since:
    1.1

### propertyNames

    Iterator propertyNames(String domainName)

### propertyValue

    String propertyValue(String domainName,
                         String propertyName)

### mapNames

    Iterator mapNames(String domainName)

### mapLocation

    String mapLocation(String domainName,
                       String mapName)

### linkedMapNames

    Iterator linkedMapNames(String domainName,
                            String nodeName)

### nodeNames

    Iterator nodeNames(String domainName)

### nodeDataSourceName

    String nodeDataSourceName(String domainName,
                              String nodeName)

### nodeAdapterName

    String nodeAdapterName(String domainName,
                           String nodeName)

### nodeFactoryName

    String nodeFactoryName(String domainName,
                           String nodeName)

### nodeSchemaUpdateStrategyName

    String nodeSchemaUpdateStrategyName(String domainName,
                                        String nodeName)

  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 Apache Cayenne. All Rights Reserved.